import { __extends, __decorate, __metadata } from 'tslib';
import { Prop, Component } from 'vue-property-decorator';
import BaseComponent from '../BaseComponent.js';
import { classNamesFunction } from '@uifabric-vue/utilities';

var getClassNames = classNamesFunction();
var OverlayBase = function(_super) {
  __extends(OverlayBase2, _super);
  function OverlayBase2() {
    return _super !== null && _super.apply(this, arguments) || this;
  }
  Object.defineProperty(OverlayBase2.prototype, "classNames", {
    get: function() {
      var _a = this, theme = _a.theme, className = _a.className, isDark = _a.dark;
      return getClassNames(this.styles, {
        theme: theme,
        className: className,
        isDark: isDark
      });
    },
    enumerable: false,
    configurable: true
  });
  OverlayBase2.prototype.render = function(h) {
    var classNames = this.classNames;
    return h("div", { class: classNames.root }, this.$slots.default);
  };
  __decorate([
    Prop({ type: Boolean, default: false }),
    __metadata("design:type", Boolean)
  ], OverlayBase2.prototype, "dark", void 0);
  OverlayBase2 = __decorate([
    Component
  ], OverlayBase2);
  return OverlayBase2;
}(BaseComponent);

export { OverlayBase };
